## EBookBackendFactory

EBookBackendFactory — The factory for creating new addressbooks

## Types and Values

struct | EBookBackendFactory
struct | EBookBackendFactoryClass

## Object Hierarchy

        GObject
        ╰── EExtension
            ╰── EBackendFactory
                ╰── EBookBackendFactory

## Includes

    #include <libedata-book/libedata-book.h>

## Description

This class handles creation of new addressbooks of various backend types.

## Functions

## Types and Values

### struct EBookBackendFactory

    struct EBookBackendFactory;

Contains only private data that should be read and manipulated using the functions below.

### struct EBookBackendFactoryClass

    struct EBookBackendFactoryClass {
    	/* Subclasses just need to set these
    	 * class members, we handle the rest. */
    	const gchar *factory_name;
    	GType backend_type;
    };

Class structure for the EBookBackendFactory class.

Subclasses need to set the factory name and backend type at initialization, the base class will take care of creating backends of the specified type on demand.

#### Members

const gchar *`factory_name`; | The string identifier for this book backend type |
GType `backend_type`; | The GType to use to build EBookBackends for this factory |